# ScheduleTogether Backend

![Latest release status](https://git.zervo.org/ScheduleTogether/Backend/badges/release.svg)
![Build test status](https://git.zervo.org/ScheduleTogether/Backend/badges/workflows/build.yml/badge.svg)
![Stars status](https://git.zervo.org/ScheduleTogether/Backend/badges/stars.svg)

This is the backend for ScheduleTogether, the schedule management service. It provides a REST API for managing and organizing schedules, users, communication and more. This API is made to integrate with the official frontend. This includes features such as user authentication, event management, integration with third-party services and more. The service is built using Go and Iris, and primarely uses MariaDB as its database.

Proper documentation is soon to come.

## Contributions

Even though this is (as of right now) primarily a solo-developed project, any contributions are highly appreciated.

Due to the fact that we host the primary source on our own Forgejo server, contributions have to be made through separate mirrors.
We currently have no interest in migrating the primary source, but it might be considered in the future.

For more details, please see the [Contribution Instructions and Guidelines](./CONTRIBUTING.md).

Thanks!